Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network223.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
223.0.0.0
Broadcast address
223.255.255.255
First usable
223.0.0.1
Last usable
223.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex DF000000 · Integer 3741319168 to 3758096383
Reverse DNS zone
223.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011111..00000000.00000000.00000000223.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11011111..00000000.00000000.00000000223.0.0.0
Broadcast11011111..11111111.11111111.11111111223.255.255.255
Split into smaller subnets/17

223.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1223.0.0.0/17223.0.0.1 to 223.0.127.254223.0.127.25532,766
2223.0.128.0/17223.0.128.1 to 223.0.255.254223.0.255.25532,766
3223.1.0.0/17223.1.0.1 to 223.1.127.254223.1.127.25532,766
4223.1.128.0/17223.1.128.1 to 223.1.255.254223.1.255.25532,766
5223.2.0.0/17223.2.0.1 to 223.2.127.254223.2.127.25532,766
6223.2.128.0/17223.2.128.1 to 223.2.255.254223.2.255.25532,766
7223.3.0.0/17223.3.0.1 to 223.3.127.254223.3.127.25532,766
8223.3.128.0/17223.3.128.1 to 223.3.255.254223.3.255.25532,766
9223.4.0.0/17223.4.0.1 to 223.4.127.254223.4.127.25532,766
10223.4.128.0/17223.4.128.1 to 223.4.255.254223.4.255.25532,766
11223.5.0.0/17223.5.0.1 to 223.5.127.254223.5.127.25532,766
12223.5.128.0/17223.5.128.1 to 223.5.255.254223.5.255.25532,766
13223.6.0.0/17223.6.0.1 to 223.6.127.254223.6.127.25532,766
14223.6.128.0/17223.6.128.1 to 223.6.255.254223.6.255.25532,766
15223.7.0.0/17223.7.0.1 to 223.7.127.254223.7.127.25532,766
16223.7.128.0/17223.7.128.1 to 223.7.255.254223.7.255.25532,766
17223.8.0.0/17223.8.0.1 to 223.8.127.254223.8.127.25532,766
18223.8.128.0/17223.8.128.1 to 223.8.255.254223.8.255.25532,766
19223.9.0.0/17223.9.0.1 to 223.9.127.254223.9.127.25532,766
20223.9.128.0/17223.9.128.1 to 223.9.255.254223.9.255.25532,766
21223.10.0.0/17223.10.0.1 to 223.10.127.254223.10.127.25532,766
22223.10.128.0/17223.10.128.1 to 223.10.255.254223.10.255.25532,766
23223.11.0.0/17223.11.0.1 to 223.11.127.254223.11.127.25532,766
24223.11.128.0/17223.11.128.1 to 223.11.255.254223.11.255.25532,766
25223.12.0.0/17223.12.0.1 to 223.12.127.254223.12.127.25532,766
26223.12.128.0/17223.12.128.1 to 223.12.255.254223.12.255.25532,766
27223.13.0.0/17223.13.0.1 to 223.13.127.254223.13.127.25532,766
28223.13.128.0/17223.13.128.1 to 223.13.255.254223.13.255.25532,766
29223.14.0.0/17223.14.0.1 to 223.14.127.254223.14.127.25532,766
30223.14.128.0/17223.14.128.1 to 223.14.255.254223.14.255.25532,766
31223.15.0.0/17223.15.0.1 to 223.15.127.254223.15.127.25532,766
32223.15.128.0/17223.15.128.1 to 223.15.255.254223.15.255.25532,766
33223.16.0.0/17223.16.0.1 to 223.16.127.254223.16.127.25532,766
34223.16.128.0/17223.16.128.1 to 223.16.255.254223.16.255.25532,766
35223.17.0.0/17223.17.0.1 to 223.17.127.254223.17.127.25532,766
36223.17.128.0/17223.17.128.1 to 223.17.255.254223.17.255.25532,766
37223.18.0.0/17223.18.0.1 to 223.18.127.254223.18.127.25532,766
38223.18.128.0/17223.18.128.1 to 223.18.255.254223.18.255.25532,766
39223.19.0.0/17223.19.0.1 to 223.19.127.254223.19.127.25532,766
40223.19.128.0/17223.19.128.1 to 223.19.255.254223.19.255.25532,766
41223.20.0.0/17223.20.0.1 to 223.20.127.254223.20.127.25532,766
42223.20.128.0/17223.20.128.1 to 223.20.255.254223.20.255.25532,766
43223.21.0.0/17223.21.0.1 to 223.21.127.254223.21.127.25532,766
44223.21.128.0/17223.21.128.1 to 223.21.255.254223.21.255.25532,766
45223.22.0.0/17223.22.0.1 to 223.22.127.254223.22.127.25532,766
46223.22.128.0/17223.22.128.1 to 223.22.255.254223.22.255.25532,766
47223.23.0.0/17223.23.0.1 to 223.23.127.254223.23.127.25532,766
48223.23.128.0/17223.23.128.1 to 223.23.255.254223.23.255.25532,766
49223.24.0.0/17223.24.0.1 to 223.24.127.254223.24.127.25532,766
50223.24.128.0/17223.24.128.1 to 223.24.255.254223.24.255.25532,766
51223.25.0.0/17223.25.0.1 to 223.25.127.254223.25.127.25532,766
52223.25.128.0/17223.25.128.1 to 223.25.255.254223.25.255.25532,766
53223.26.0.0/17223.26.0.1 to 223.26.127.254223.26.127.25532,766
54223.26.128.0/17223.26.128.1 to 223.26.255.254223.26.255.25532,766
55223.27.0.0/17223.27.0.1 to 223.27.127.254223.27.127.25532,766
56223.27.128.0/17223.27.128.1 to 223.27.255.254223.27.255.25532,766
57223.28.0.0/17223.28.0.1 to 223.28.127.254223.28.127.25532,766
58223.28.128.0/17223.28.128.1 to 223.28.255.254223.28.255.25532,766
59223.29.0.0/17223.29.0.1 to 223.29.127.254223.29.127.25532,766
60223.29.128.0/17223.29.128.1 to 223.29.255.254223.29.255.25532,766
61223.30.0.0/17223.30.0.1 to 223.30.127.254223.30.127.25532,766
62223.30.128.0/17223.30.128.1 to 223.30.255.254223.30.255.25532,766
63223.31.0.0/17223.31.0.1 to 223.31.127.254223.31.127.25532,766
64223.31.128.0/17223.31.128.1 to 223.31.255.254223.31.255.25532,766
65223.32.0.0/17223.32.0.1 to 223.32.127.254223.32.127.25532,766
66223.32.128.0/17223.32.128.1 to 223.32.255.254223.32.255.25532,766
67223.33.0.0/17223.33.0.1 to 223.33.127.254223.33.127.25532,766
68223.33.128.0/17223.33.128.1 to 223.33.255.254223.33.255.25532,766
69223.34.0.0/17223.34.0.1 to 223.34.127.254223.34.127.25532,766
70223.34.128.0/17223.34.128.1 to 223.34.255.254223.34.255.25532,766
71223.35.0.0/17223.35.0.1 to 223.35.127.254223.35.127.25532,766
72223.35.128.0/17223.35.128.1 to 223.35.255.254223.35.255.25532,766
73223.36.0.0/17223.36.0.1 to 223.36.127.254223.36.127.25532,766
74223.36.128.0/17223.36.128.1 to 223.36.255.254223.36.255.25532,766
75223.37.0.0/17223.37.0.1 to 223.37.127.254223.37.127.25532,766
76223.37.128.0/17223.37.128.1 to 223.37.255.254223.37.255.25532,766
77223.38.0.0/17223.38.0.1 to 223.38.127.254223.38.127.25532,766
78223.38.128.0/17223.38.128.1 to 223.38.255.254223.38.255.25532,766
79223.39.0.0/17223.39.0.1 to 223.39.127.254223.39.127.25532,766
80223.39.128.0/17223.39.128.1 to 223.39.255.254223.39.255.25532,766
81223.40.0.0/17223.40.0.1 to 223.40.127.254223.40.127.25532,766
82223.40.128.0/17223.40.128.1 to 223.40.255.254223.40.255.25532,766
83223.41.0.0/17223.41.0.1 to 223.41.127.254223.41.127.25532,766
84223.41.128.0/17223.41.128.1 to 223.41.255.254223.41.255.25532,766
85223.42.0.0/17223.42.0.1 to 223.42.127.254223.42.127.25532,766
86223.42.128.0/17223.42.128.1 to 223.42.255.254223.42.255.25532,766
87223.43.0.0/17223.43.0.1 to 223.43.127.254223.43.127.25532,766
88223.43.128.0/17223.43.128.1 to 223.43.255.254223.43.255.25532,766
89223.44.0.0/17223.44.0.1 to 223.44.127.254223.44.127.25532,766
90223.44.128.0/17223.44.128.1 to 223.44.255.254223.44.255.25532,766
91223.45.0.0/17223.45.0.1 to 223.45.127.254223.45.127.25532,766
92223.45.128.0/17223.45.128.1 to 223.45.255.254223.45.255.25532,766
93223.46.0.0/17223.46.0.1 to 223.46.127.254223.46.127.25532,766
94223.46.128.0/17223.46.128.1 to 223.46.255.254223.46.255.25532,766
95223.47.0.0/17223.47.0.1 to 223.47.127.254223.47.127.25532,766
96223.47.128.0/17223.47.128.1 to 223.47.255.254223.47.255.25532,766
97223.48.0.0/17223.48.0.1 to 223.48.127.254223.48.127.25532,766
98223.48.128.0/17223.48.128.1 to 223.48.255.254223.48.255.25532,766
99223.49.0.0/17223.49.0.1 to 223.49.127.254223.49.127.25532,766
100223.49.128.0/17223.49.128.1 to 223.49.255.254223.49.255.25532,766
101223.50.0.0/17223.50.0.1 to 223.50.127.254223.50.127.25532,766
102223.50.128.0/17223.50.128.1 to 223.50.255.254223.50.255.25532,766
103223.51.0.0/17223.51.0.1 to 223.51.127.254223.51.127.25532,766
104223.51.128.0/17223.51.128.1 to 223.51.255.254223.51.255.25532,766
105223.52.0.0/17223.52.0.1 to 223.52.127.254223.52.127.25532,766
106223.52.128.0/17223.52.128.1 to 223.52.255.254223.52.255.25532,766
107223.53.0.0/17223.53.0.1 to 223.53.127.254223.53.127.25532,766
108223.53.128.0/17223.53.128.1 to 223.53.255.254223.53.255.25532,766
109223.54.0.0/17223.54.0.1 to 223.54.127.254223.54.127.25532,766
110223.54.128.0/17223.54.128.1 to 223.54.255.254223.54.255.25532,766
111223.55.0.0/17223.55.0.1 to 223.55.127.254223.55.127.25532,766
112223.55.128.0/17223.55.128.1 to 223.55.255.254223.55.255.25532,766
113223.56.0.0/17223.56.0.1 to 223.56.127.254223.56.127.25532,766
114223.56.128.0/17223.56.128.1 to 223.56.255.254223.56.255.25532,766
115223.57.0.0/17223.57.0.1 to 223.57.127.254223.57.127.25532,766
116223.57.128.0/17223.57.128.1 to 223.57.255.254223.57.255.25532,766
117223.58.0.0/17223.58.0.1 to 223.58.127.254223.58.127.25532,766
118223.58.128.0/17223.58.128.1 to 223.58.255.254223.58.255.25532,766
119223.59.0.0/17223.59.0.1 to 223.59.127.254223.59.127.25532,766
120223.59.128.0/17223.59.128.1 to 223.59.255.254223.59.255.25532,766
121223.60.0.0/17223.60.0.1 to 223.60.127.254223.60.127.25532,766
122223.60.128.0/17223.60.128.1 to 223.60.255.254223.60.255.25532,766
123223.61.0.0/17223.61.0.1 to 223.61.127.254223.61.127.25532,766
124223.61.128.0/17223.61.128.1 to 223.61.255.254223.61.255.25532,766
125223.62.0.0/17223.62.0.1 to 223.62.127.254223.62.127.25532,766
126223.62.128.0/17223.62.128.1 to 223.62.255.254223.62.255.25532,766
127223.63.0.0/17223.63.0.1 to 223.63.127.254223.63.127.25532,766
128223.63.128.0/17223.63.128.1 to 223.63.255.254223.63.255.25532,766
129223.64.0.0/17223.64.0.1 to 223.64.127.254223.64.127.25532,766
130223.64.128.0/17223.64.128.1 to 223.64.255.254223.64.255.25532,766
131223.65.0.0/17223.65.0.1 to 223.65.127.254223.65.127.25532,766
132223.65.128.0/17223.65.128.1 to 223.65.255.254223.65.255.25532,766
133223.66.0.0/17223.66.0.1 to 223.66.127.254223.66.127.25532,766
134223.66.128.0/17223.66.128.1 to 223.66.255.254223.66.255.25532,766
135223.67.0.0/17223.67.0.1 to 223.67.127.254223.67.127.25532,766
136223.67.128.0/17223.67.128.1 to 223.67.255.254223.67.255.25532,766
137223.68.0.0/17223.68.0.1 to 223.68.127.254223.68.127.25532,766
138223.68.128.0/17223.68.128.1 to 223.68.255.254223.68.255.25532,766
139223.69.0.0/17223.69.0.1 to 223.69.127.254223.69.127.25532,766
140223.69.128.0/17223.69.128.1 to 223.69.255.254223.69.255.25532,766
141223.70.0.0/17223.70.0.1 to 223.70.127.254223.70.127.25532,766
142223.70.128.0/17223.70.128.1 to 223.70.255.254223.70.255.25532,766
143223.71.0.0/17223.71.0.1 to 223.71.127.254223.71.127.25532,766
144223.71.128.0/17223.71.128.1 to 223.71.255.254223.71.255.25532,766
145223.72.0.0/17223.72.0.1 to 223.72.127.254223.72.127.25532,766
146223.72.128.0/17223.72.128.1 to 223.72.255.254223.72.255.25532,766
147223.73.0.0/17223.73.0.1 to 223.73.127.254223.73.127.25532,766
148223.73.128.0/17223.73.128.1 to 223.73.255.254223.73.255.25532,766
149223.74.0.0/17223.74.0.1 to 223.74.127.254223.74.127.25532,766
150223.74.128.0/17223.74.128.1 to 223.74.255.254223.74.255.25532,766
151223.75.0.0/17223.75.0.1 to 223.75.127.254223.75.127.25532,766
152223.75.128.0/17223.75.128.1 to 223.75.255.254223.75.255.25532,766
153223.76.0.0/17223.76.0.1 to 223.76.127.254223.76.127.25532,766
154223.76.128.0/17223.76.128.1 to 223.76.255.254223.76.255.25532,766
155223.77.0.0/17223.77.0.1 to 223.77.127.254223.77.127.25532,766
156223.77.128.0/17223.77.128.1 to 223.77.255.254223.77.255.25532,766
157223.78.0.0/17223.78.0.1 to 223.78.127.254223.78.127.25532,766
158223.78.128.0/17223.78.128.1 to 223.78.255.254223.78.255.25532,766
159223.79.0.0/17223.79.0.1 to 223.79.127.254223.79.127.25532,766
160223.79.128.0/17223.79.128.1 to 223.79.255.254223.79.255.25532,766
161223.80.0.0/17223.80.0.1 to 223.80.127.254223.80.127.25532,766
162223.80.128.0/17223.80.128.1 to 223.80.255.254223.80.255.25532,766
163223.81.0.0/17223.81.0.1 to 223.81.127.254223.81.127.25532,766
164223.81.128.0/17223.81.128.1 to 223.81.255.254223.81.255.25532,766
165223.82.0.0/17223.82.0.1 to 223.82.127.254223.82.127.25532,766
166223.82.128.0/17223.82.128.1 to 223.82.255.254223.82.255.25532,766
167223.83.0.0/17223.83.0.1 to 223.83.127.254223.83.127.25532,766
168223.83.128.0/17223.83.128.1 to 223.83.255.254223.83.255.25532,766
169223.84.0.0/17223.84.0.1 to 223.84.127.254223.84.127.25532,766
170223.84.128.0/17223.84.128.1 to 223.84.255.254223.84.255.25532,766
171223.85.0.0/17223.85.0.1 to 223.85.127.254223.85.127.25532,766
172223.85.128.0/17223.85.128.1 to 223.85.255.254223.85.255.25532,766
173223.86.0.0/17223.86.0.1 to 223.86.127.254223.86.127.25532,766
174223.86.128.0/17223.86.128.1 to 223.86.255.254223.86.255.25532,766
175223.87.0.0/17223.87.0.1 to 223.87.127.254223.87.127.25532,766
176223.87.128.0/17223.87.128.1 to 223.87.255.254223.87.255.25532,766
177223.88.0.0/17223.88.0.1 to 223.88.127.254223.88.127.25532,766
178223.88.128.0/17223.88.128.1 to 223.88.255.254223.88.255.25532,766
179223.89.0.0/17223.89.0.1 to 223.89.127.254223.89.127.25532,766
180223.89.128.0/17223.89.128.1 to 223.89.255.254223.89.255.25532,766
181223.90.0.0/17223.90.0.1 to 223.90.127.254223.90.127.25532,766
182223.90.128.0/17223.90.128.1 to 223.90.255.254223.90.255.25532,766
183223.91.0.0/17223.91.0.1 to 223.91.127.254223.91.127.25532,766
184223.91.128.0/17223.91.128.1 to 223.91.255.254223.91.255.25532,766
185223.92.0.0/17223.92.0.1 to 223.92.127.254223.92.127.25532,766
186223.92.128.0/17223.92.128.1 to 223.92.255.254223.92.255.25532,766
187223.93.0.0/17223.93.0.1 to 223.93.127.254223.93.127.25532,766
188223.93.128.0/17223.93.128.1 to 223.93.255.254223.93.255.25532,766
189223.94.0.0/17223.94.0.1 to 223.94.127.254223.94.127.25532,766
190223.94.128.0/17223.94.128.1 to 223.94.255.254223.94.255.25532,766
191223.95.0.0/17223.95.0.1 to 223.95.127.254223.95.127.25532,766
192223.95.128.0/17223.95.128.1 to 223.95.255.254223.95.255.25532,766
193223.96.0.0/17223.96.0.1 to 223.96.127.254223.96.127.25532,766
194223.96.128.0/17223.96.128.1 to 223.96.255.254223.96.255.25532,766
195223.97.0.0/17223.97.0.1 to 223.97.127.254223.97.127.25532,766
196223.97.128.0/17223.97.128.1 to 223.97.255.254223.97.255.25532,766
197223.98.0.0/17223.98.0.1 to 223.98.127.254223.98.127.25532,766
198223.98.128.0/17223.98.128.1 to 223.98.255.254223.98.255.25532,766
199223.99.0.0/17223.99.0.1 to 223.99.127.254223.99.127.25532,766
200223.99.128.0/17223.99.128.1 to 223.99.255.254223.99.255.25532,766
201223.100.0.0/17223.100.0.1 to 223.100.127.254223.100.127.25532,766
202223.100.128.0/17223.100.128.1 to 223.100.255.254223.100.255.25532,766
203223.101.0.0/17223.101.0.1 to 223.101.127.254223.101.127.25532,766
204223.101.128.0/17223.101.128.1 to 223.101.255.254223.101.255.25532,766
205223.102.0.0/17223.102.0.1 to 223.102.127.254223.102.127.25532,766
206223.102.128.0/17223.102.128.1 to 223.102.255.254223.102.255.25532,766
207223.103.0.0/17223.103.0.1 to 223.103.127.254223.103.127.25532,766
208223.103.128.0/17223.103.128.1 to 223.103.255.254223.103.255.25532,766
209223.104.0.0/17223.104.0.1 to 223.104.127.254223.104.127.25532,766
210223.104.128.0/17223.104.128.1 to 223.104.255.254223.104.255.25532,766
211223.105.0.0/17223.105.0.1 to 223.105.127.254223.105.127.25532,766
212223.105.128.0/17223.105.128.1 to 223.105.255.254223.105.255.25532,766
213223.106.0.0/17223.106.0.1 to 223.106.127.254223.106.127.25532,766
214223.106.128.0/17223.106.128.1 to 223.106.255.254223.106.255.25532,766
215223.107.0.0/17223.107.0.1 to 223.107.127.254223.107.127.25532,766
216223.107.128.0/17223.107.128.1 to 223.107.255.254223.107.255.25532,766
217223.108.0.0/17223.108.0.1 to 223.108.127.254223.108.127.25532,766
218223.108.128.0/17223.108.128.1 to 223.108.255.254223.108.255.25532,766
219223.109.0.0/17223.109.0.1 to 223.109.127.254223.109.127.25532,766
220223.109.128.0/17223.109.128.1 to 223.109.255.254223.109.255.25532,766
221223.110.0.0/17223.110.0.1 to 223.110.127.254223.110.127.25532,766
222223.110.128.0/17223.110.128.1 to 223.110.255.254223.110.255.25532,766
223223.111.0.0/17223.111.0.1 to 223.111.127.254223.111.127.25532,766
224223.111.128.0/17223.111.128.1 to 223.111.255.254223.111.255.25532,766
225223.112.0.0/17223.112.0.1 to 223.112.127.254223.112.127.25532,766
226223.112.128.0/17223.112.128.1 to 223.112.255.254223.112.255.25532,766
227223.113.0.0/17223.113.0.1 to 223.113.127.254223.113.127.25532,766
228223.113.128.0/17223.113.128.1 to 223.113.255.254223.113.255.25532,766
229223.114.0.0/17223.114.0.1 to 223.114.127.254223.114.127.25532,766
230223.114.128.0/17223.114.128.1 to 223.114.255.254223.114.255.25532,766
231223.115.0.0/17223.115.0.1 to 223.115.127.254223.115.127.25532,766
232223.115.128.0/17223.115.128.1 to 223.115.255.254223.115.255.25532,766
233223.116.0.0/17223.116.0.1 to 223.116.127.254223.116.127.25532,766
234223.116.128.0/17223.116.128.1 to 223.116.255.254223.116.255.25532,766
235223.117.0.0/17223.117.0.1 to 223.117.127.254223.117.127.25532,766
236223.117.128.0/17223.117.128.1 to 223.117.255.254223.117.255.25532,766
237223.118.0.0/17223.118.0.1 to 223.118.127.254223.118.127.25532,766
238223.118.128.0/17223.118.128.1 to 223.118.255.254223.118.255.25532,766
239223.119.0.0/17223.119.0.1 to 223.119.127.254223.119.127.25532,766
240223.119.128.0/17223.119.128.1 to 223.119.255.254223.119.255.25532,766
241223.120.0.0/17223.120.0.1 to 223.120.127.254223.120.127.25532,766
242223.120.128.0/17223.120.128.1 to 223.120.255.254223.120.255.25532,766
243223.121.0.0/17223.121.0.1 to 223.121.127.254223.121.127.25532,766
244223.121.128.0/17223.121.128.1 to 223.121.255.254223.121.255.25532,766
245223.122.0.0/17223.122.0.1 to 223.122.127.254223.122.127.25532,766
246223.122.128.0/17223.122.128.1 to 223.122.255.254223.122.255.25532,766
247223.123.0.0/17223.123.0.1 to 223.123.127.254223.123.127.25532,766
248223.123.128.0/17223.123.128.1 to 223.123.255.254223.123.255.25532,766
249223.124.0.0/17223.124.0.1 to 223.124.127.254223.124.127.25532,766
250223.124.128.0/17223.124.128.1 to 223.124.255.254223.124.255.25532,766
251223.125.0.0/17223.125.0.1 to 223.125.127.254223.125.127.25532,766
252223.125.128.0/17223.125.128.1 to 223.125.255.254223.125.255.25532,766
253223.126.0.0/17223.126.0.1 to 223.126.127.254223.126.127.25532,766
254223.126.128.0/17223.126.128.1 to 223.126.255.254223.126.255.25532,766
255223.127.0.0/17223.127.0.1 to 223.127.127.254223.127.127.25532,766
256223.127.128.0/17223.127.128.1 to 223.127.255.254223.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses